// Models
models/mapobjects/tree_pine_snow/branches
{
    surfaceparm alphashadow
    cull twosided
    {
        map models/mapobjects/tree_pine_snow/skin.tga
        alphaFunc GE128
        depthWrite
        // rgbgen lightingDiffuse
        rgbgen vertex
    }
}

// Glass
textures/ssmc24-psycho-winter/glassfrozen
{
    qer_editorimage textures/ssmc24-psycho-winter/glassfrozen.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
    surfaceparm trans
    cull disable
    {
        map textures/ssmc24-psycho-winter/glassfrozen.tga
        blendfunc filter
    }
    {
        map textures/ssmc24-psycho-winter/envmapglass.tga
        blendfunc add
        rgbGen identity
        tcGen environment
    }
}

// Slick
textures/ssmc24-psycho-winter/pjrock10b_2_icy
{
    qer_editorImage textures/ssmc24-psycho-winter/pjrock10b_2.tga
    q3map_lightImage textures/ssmc24-psycho-winter/pjrock10b_2.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/ssmc24-psycho-winter/pjrock10b_2.tga
        blendFunc filter
    }
    {
        map textures/ssmc24-psycho-winter/glassfrozen.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


textures/ssmc24-psycho-winter/ubase4b_dark_icy
{
    qer_editorImage textures/ssmc24-psycho-winter/ubase4b_dark.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ssmc24-psycho-winter/ubase4b_dark.tga
    }
}

// Flares
textures/ssmc24-psycho-winter/flare_r
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_1
    q3map_surfacelight 2000
    q3map_lightSubdivide 512
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 53 sawtooth 0 1 0 0.748
    deformvertexes move -1.69828 -6.28974 0 inversesawtooth -0.460477 1 0 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0 0.748
        alphagen wave sawtooth 0 6 0 0.748
        tcMod rotate 5
        tcMod stretch sawtooth 1 -0.7 0 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_1
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_2
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 46 sawtooth 0 1 0.126455 0.748
    deformvertexes move 16.7668 2.86389 0 inversesawtooth -0.0587903 1 0.126455 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.126455 0.748
        alphagen wave sawtooth 0 6 0.126455 0.748
        tcMod rotate -18
        tcMod stretch sawtooth 1 -0.7 0.126455 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_2
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_3
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 44 sawtooth 0 1 0.214686 0.748
    deformvertexes move -0.110654 -0.993859 0 inversesawtooth 1 0 0.214686 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.214686 0.748
        alphagen wave sawtooth 0 6 0.214686 0.748
        tcMod rotate -14
        tcMod stretch sawtooth 1 -0.7 0.214686 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_3
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_4
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 51 sawtooth 0 1 0.292595 0.748
    deformvertexes move -2.5652 -1.55556 0 inversesawtooth 1 0 0.292595 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.292595 0.748
        alphagen wave sawtooth 0 6 0.292595 0.748
        tcMod rotate -10
        tcMod stretch sawtooth 1 -0.7 0.292595 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_4
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_5
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 32 sawtooth 0 1 0.364477 0.748
    deformvertexes move 0.993081 -0.117433 0 inversesawtooth 1 0 0.364477 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.364477 0.748
        alphagen wave sawtooth 0 6 0.364477 0.748
        tcMod rotate -13
        tcMod stretch sawtooth 1 -0.7 0.364477 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_5
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_6
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 57 sawtooth 0 1 0.432186 0.748
    deformvertexes move -7.45394 -6.7638 0 inversesawtooth 0 1 0.432186 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.432186 0.748
        alphagen wave sawtooth 0 6 0.432186 0.748
        tcMod rotate 14
        tcMod stretch sawtooth 1 -0.7 0.432186 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_6
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_7
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 53 sawtooth 0 1 0.496744 0.748
    deformvertexes move 8.11583 12.034 0 inversesawtooth 0 1 0.496744 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.496744 0.748
        alphagen wave sawtooth 0 6 0.496744 0.748
        tcMod rotate 19
        tcMod stretch sawtooth 1 -0.7 0.496744 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_7
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_8
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 39 sawtooth 0 1 0.558796 0.748
    deformvertexes move -0.544309 -2.95323 0 inversesawtooth 0.666008 1 0.558796 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.558796 0.748
        alphagen wave sawtooth 0 6 0.558796 0.748
        tcMod rotate -12
        tcMod stretch sawtooth 1 -0.7 0.558796 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_8
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_9
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 29 sawtooth 0 1 0.61878 0.748
    deformvertexes move -0.650971 1.89109 0 inversesawtooth 1 0 0.61878 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.61878 0.748
        alphagen wave sawtooth 0 6 0.61878 0.748
        tcMod rotate 6
        tcMod stretch sawtooth 1 -0.7 0.61878 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_9
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_10
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 47 sawtooth 0 1 0.677012 0.748
    deformvertexes move -1.80897 0.313569 0 inversesawtooth 0 1 0.677012 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.677012 0.748
        alphagen wave sawtooth 0 6 0.677012 0.748
        tcMod rotate 7
        tcMod stretch sawtooth 1 -0.7 0.677012 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_10
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_11
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 44 sawtooth 0 1 0.733731 0.748
    deformvertexes move 15.7804 7.16228 0 inversesawtooth -0.0577044 1 0.733731 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.733731 0.748
        alphagen wave sawtooth 0 6 0.733731 0.748
        tcMod rotate 6
        tcMod stretch sawtooth 1 -0.7 0.733731 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_11
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_12
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 41 sawtooth 0 1 0.789122 0.748
    deformvertexes move -0.374736 0.927132 0 inversesawtooth 1 0 0.789122 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.789122 0.748
        alphagen wave sawtooth 0 6 0.789122 0.748
        tcMod rotate 14
        tcMod stretch sawtooth 1 -0.7 0.789122 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_12
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_13
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 40 sawtooth 0 1 0.843334 0.748
    deformvertexes move -1.83413 -0.416132 0 inversesawtooth 0.531704 1 0.843334 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.843334 0.748
        alphagen wave sawtooth 0 6 0.843334 0.748
        tcMod rotate 5
        tcMod stretch sawtooth 1 -0.7 0.843334 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_13
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r/zzflare_r_14
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 35 sawtooth 0 1 0.896487 0.748
    deformvertexes move -16.4372 5.82945 0 inversesawtooth -0.172015 1 0.896487 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.896487 0.748
        alphagen wave sawtooth 0 6 0.896487 0.748
        tcMod rotate 6
        tcMod stretch sawtooth 1 -0.7 0.896487 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r/zzflare_r_14
{
    qer_editorimage textures/ssmc24-psycho-winter/flare_r
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 37 sawtooth 0 1 0.948681 0.748
    deformvertexes move 0.194168 -0.125858 0 inversesawtooth -8.64342 1 0.948681 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter/flare_r
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.948681 0.748
        alphagen wave sawtooth 0 6 0.948681 0.748
        tcMod rotate 3
        tcMod stretch sawtooth 1 -0.7 0.948681 0.748
    }
}


textures/ssmc24-psycho-winter-flare-r/flare_g
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_1
    q3map_surfacelight 2000
    q3map_lightSubdivide 512
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 53 sawtooth 0 1 0 0.748
    deformvertexes move -1.69828 -6.28974 0 inversesawtooth -0.460477 1 0 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0 0.748
        alphagen wave sawtooth 0 6 0 0.748
        tcMod rotate 5
        tcMod stretch sawtooth 1 -0.7 0 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_1
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_2
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 46 sawtooth 0 1 0.126455 0.748
    deformvertexes move 16.7668 2.86389 0 inversesawtooth -0.0587903 1 0.126455 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.126455 0.748
        alphagen wave sawtooth 0 6 0.126455 0.748
        tcMod rotate -18
        tcMod stretch sawtooth 1 -0.7 0.126455 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_2
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_3
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 44 sawtooth 0 1 0.214686 0.748
    deformvertexes move -0.110654 -0.993859 0 inversesawtooth 1 0 0.214686 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.214686 0.748
        alphagen wave sawtooth 0 6 0.214686 0.748
        tcMod rotate -14
        tcMod stretch sawtooth 1 -0.7 0.214686 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_3
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_4
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 51 sawtooth 0 1 0.292595 0.748
    deformvertexes move -2.5652 -1.55556 0 inversesawtooth 1 0 0.292595 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.292595 0.748
        alphagen wave sawtooth 0 6 0.292595 0.748
        tcMod rotate -10
        tcMod stretch sawtooth 1 -0.7 0.292595 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_4
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_5
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 32 sawtooth 0 1 0.364477 0.748
    deformvertexes move 0.993081 -0.117433 0 inversesawtooth 1 0 0.364477 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.364477 0.748
        alphagen wave sawtooth 0 6 0.364477 0.748
        tcMod rotate -13
        tcMod stretch sawtooth 1 -0.7 0.364477 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_5
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_6
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 57 sawtooth 0 1 0.432186 0.748
    deformvertexes move -7.45394 -6.7638 0 inversesawtooth 0 1 0.432186 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.432186 0.748
        alphagen wave sawtooth 0 6 0.432186 0.748
        tcMod rotate 14
        tcMod stretch sawtooth 1 -0.7 0.432186 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_6
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_7
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 53 sawtooth 0 1 0.496744 0.748
    deformvertexes move 8.11583 12.034 0 inversesawtooth 0 1 0.496744 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.496744 0.748
        alphagen wave sawtooth 0 6 0.496744 0.748
        tcMod rotate 19
        tcMod stretch sawtooth 1 -0.7 0.496744 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_7
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_8
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 39 sawtooth 0 1 0.558796 0.748
    deformvertexes move -0.544309 -2.95323 0 inversesawtooth 0.666008 1 0.558796 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.558796 0.748
        alphagen wave sawtooth 0 6 0.558796 0.748
        tcMod rotate -12
        tcMod stretch sawtooth 1 -0.7 0.558796 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_8
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_9
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 29 sawtooth 0 1 0.61878 0.748
    deformvertexes move -0.650971 1.89109 0 inversesawtooth 1 0 0.61878 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.61878 0.748
        alphagen wave sawtooth 0 6 0.61878 0.748
        tcMod rotate 6
        tcMod stretch sawtooth 1 -0.7 0.61878 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_9
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_10
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 47 sawtooth 0 1 0.677012 0.748
    deformvertexes move -1.80897 0.313569 0 inversesawtooth 0 1 0.677012 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.677012 0.748
        alphagen wave sawtooth 0 6 0.677012 0.748
        tcMod rotate 7
        tcMod stretch sawtooth 1 -0.7 0.677012 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_10
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_11
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 44 sawtooth 0 1 0.733731 0.748
    deformvertexes move 15.7804 7.16228 0 inversesawtooth -0.0577044 1 0.733731 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.733731 0.748
        alphagen wave sawtooth 0 6 0.733731 0.748
        tcMod rotate 6
        tcMod stretch sawtooth 1 -0.7 0.733731 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_11
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_12
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 41 sawtooth 0 1 0.789122 0.748
    deformvertexes move -0.374736 0.927132 0 inversesawtooth 1 0 0.789122 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.789122 0.748
        alphagen wave sawtooth 0 6 0.789122 0.748
        tcMod rotate 14
        tcMod stretch sawtooth 1 -0.7 0.789122 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_12
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_13
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 40 sawtooth 0 1 0.843334 0.748
    deformvertexes move -1.83413 -0.416132 0 inversesawtooth 0.531704 1 0.843334 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.843334 0.748
        alphagen wave sawtooth 0 6 0.843334 0.748
        tcMod rotate 5
        tcMod stretch sawtooth 1 -0.7 0.843334 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_13
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    q3map_cloneshader textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_14
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 35 sawtooth 0 1 0.896487 0.748
    deformvertexes move -16.4372 5.82945 0 inversesawtooth -0.172015 1 0.896487 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.896487 0.748
        alphagen wave sawtooth 0 6 0.896487 0.748
        tcMod rotate 6
        tcMod stretch sawtooth 1 -0.7 0.896487 0.748
    }
}

textures/ssmc24-psycho-winter-flare-r_flare_g/zzflare_g_14
{
    qer_editorimage textures/ssmc24-psycho-winter-flare-r/flare_g
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 37 sawtooth 0 1 0.948681 0.748
    deformvertexes move 0.194168 -0.125858 0 inversesawtooth -8.64342 1 0.948681 0.748
    deformvertexes autosprite
    cull disable
    {
        clampmap textures/ssmc24-psycho-winter-flare-r/flare_g
        blendfunc GL_SRC_ALPHA GL_ONE
        rgbgen wave sawtooth 1.3333 -2.2 0.948681 0.748
        alphagen wave sawtooth 0 6 0.948681 0.748
        tcMod rotate 3
        tcMod stretch sawtooth 1 -0.7 0.948681 0.748
    }
}

// Sky
textures/ssmc24-psycho-winter/sky
{
    qer_editorimage env/ssmc24-psycho-winter/sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky

    q3map_lightmapFilterRadius 0 8
    q3map_sunExt 1 1 1 100 65 80 3 16
    q3map_lightRGB .95 .97 1
    q3map_skyLight  65 4
      
    skyparms env/ssmc24-psycho-winter/sky - -
}

// Lights
textures/ssmc24-psycho-winter/u_py1_blue
{
    qer_editorimage textures/ssmc24-psycho-winter/u_py1_blue.tga
    q3map_lightimage textures/ssmc24-psycho-winter/u_lamp_blend.tga
    surfaceparm nodlight
    surfaceparm nomarks
    q3map_lightsubdivide 128
    q3map_surfacelight 2100
    {
        map textures/ssmc24-psycho-winter/u_py1_blue.tga
        rgbGen identity
    }
    {
        map $lightmap 
        blendfunc filter
        tcGen lightmap 
    }
    {
        map textures/ssmc24-psycho-winter/u_lamp_blend.tga
        blendfunc gl_one_minus_dst_color gl_one
        rgbGen wave triangle 0.5 0.4 0 225 
        tcMod stretch sin 1.5 0.1 0 12 
    }
}

textures/ssmc24-psycho-winter/u_lamp4_blue
{
    qer_editorimage textures/ssmc24-psycho-winter/u_lamp4_blue.tga
    q3map_lightimage textures/ssmc24-psycho-winter/u_lamp4_blue_blend.tga
    surfaceparm nodlight
    surfaceparm nomarks
    q3map_surfacelight 2000
    {
        map textures/ssmc24-psycho-winter/u_lamp4_blue.tga
        rgbGen identity
    }
    {
        map $lightmap 
        blendfunc filter
        tcGen lightmap 
    }
    {
        map textures/ssmc24-psycho-winter/u_lamp4_blue_blend.tga
        blendfunc gl_one_minus_dst_color gl_one
    }
}

textures/ssmc24-psycho-winter/u_lamp7_blue
{
    qer_editorimage textures/ssmc24-psycho-winter/u_lamp7_blue.tga
    q3map_lightimage textures/ssmc24-psycho-winter/u_lamp7_blue_blend.tga
    surfaceparm nodlight
    surfaceparm nomarks
    q3map_surfacelight 2300
    {
        map textures/ssmc24-psycho-winter/u_lamp7_blue.tga
        rgbGen identity
    }
    {
        map $lightmap 
        blendfunc filter
        tcGen lightmap 
    }
    {
        map textures/ssmc24-psycho-winter/u_lamp7_blue_blend.tga
        blendfunc add
        rgbGen wave sin 0.9 0.05 0 5 
    }
}


// grates
textures/ssmc24-psycho-winter/u_supp_2
{
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
    cull disable
    {
        map textures/ssmc24-psycho-winter/u_supp_2.tga
        rgbGen identity
        depthWrite
        alphaFunc GE128
    }
    {
        map $lightmap 
        blendfunc filter
        rgbGen identity
        tcGen lightmap 
        depthFunc equal
    }
}


// Terrain
textures/ssmc24-psycho-winter/terrain_0
{
    qer_editorimage textures/ssmc24-psycho-winter/pjrock9b_2.tga

    surfaceparm nolightmap
    {
        map textures/ssmc24-psycho-winter/pjrock9b_2.tga
        rgbGen vertex
        tcmod scale 0.518 0.518
    }
}

textures/ssmc24-psycho-winter/terrain_1
{
    qer_editorimage textures/ssmc24-psycho-winter/pjrock12b_2.tga

    surfaceparm nolightmap
    {
        map textures/ssmc24-psycho-winter/pjrock12b_2.tga
        rgbGen vertex
        tcmod scale 0.518 0.518
    }
}

textures/ssmc24-psycho-winter/terrain_2
{
    qer_editorimage textures/ssmc24-psycho-winter/pjrock10b_2.tga

    surfaceparm nolightmap
    {
        map textures/ssmc24-psycho-winter/pjrock10b_2.tga
        rgbGen vertex
        tcmod scale 0.518 0.518
    }
}

// misc
textures/marsbase/dirt2
{
    qer_editorimage textures/marsbase/dirt2.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
    qer_trans 0.5
    {
        map textures/marsbase/dirt2.tga
        blendfunc filter
    }
}